Doh, my computer just crashed when running yum upgrade. Yum comlained about dependency resolution errors and protected multilib versions. A

yum update --skip-broken

did not help. What did help however was to run the command

package-cleanup  -C -q --dupes

to check for which software packages are now installed twice. Then to remove the older version of each package by specifying the full file name, e.g.

yum remove libudisks2-1.94.0-7.fc17.x86_64 nspr-4.9-2.fc17.x86_64 nspr-4.9-2.fc17.i686

till package-cleanup does not show any duplicates any more.